# Uses of Interface
org.opensaml.xacml.policy.ExpressionType

Packages that use ExpressionType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of ExpressionType in org.opensaml.xacml.policy

Subinterfaces of ExpressionType in org.opensaml.xacml.policy
Modifier and Type
Interface
Description
`interface`
`ApplyType`
XACML Apply schema type.
`interface`
`AttributeAssignmentType`
XACML AttributeAssignment schema type.
`interface`
`AttributeDesignatorType`
XACML AttribtueDesignator schema type.
`interface`
`AttributeSelectorType`
XACML AttributeSelector schema type.
`interface`
`AttributeValueType`
XACML AttributeValue schema type.
`interface`
`ConditionType`
XACML Condition schema type.
`interface`
`FunctionType`
XACML Function schema type.
`interface`
`SubjectAttributeDesignatorType`
XACML SubjectAttributeDesignator schema type.
`interface`
`VariableReferenceType`
XACML VariableReference.
Methods in org.opensaml.xacml.policy that return ExpressionType
Modifier and Type
Method
Description
`ExpressionType`
ConditionType.`getExpression()`
Gets the expression for this condition.
`ExpressionType`
VariableDefinitionType.`getExpression()`
Gets the expression for this definition.
Methods in org.opensaml.xacml.policy that return types with arguments of type ExpressionType
Modifier and Type
Method
Description
`List<ExpressionType>`
ApplyType.`getExpressions()`
Gets the expressions for this condition.
`List<ExpressionType>`
VariableReferenceType.`getExpressions()`
Gets the expressions for this definition.
Methods in org.opensaml.xacml.policy with parameters of type ExpressionType
Modifier and Type
Method
Description
`void`
ConditionType.`setExpression(ExpressionType expression)`
Sets the expression for this condition.
`void`
VariableDefinitionType.`setExpression(ExpressionType expression)`
Sets the expression for this definition.

## Uses of ExpressionType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement ExpressionType
Modifier and Type
Class
Description
`class`
`ApplyTypeImpl`
Implementation of `ApplyType`.
`class`
`AttributeAssignmentTypeImpl`
Implementation for `AttributeAssignmentType`.
`class`
`AttributeDesignatorTypeImpl`
Implementation of `AttributeDesignatorType`.
`class`
`AttributeSelectorTypeImpl`
Implementation `AttributeSelectorType`.
`class`
`AttributeValueTypeImpl`
Implementation of `AttributeValueType`.
`class`
`ConditionTypeImpl`
Implementation of `ConditionType`.
`class`
`FunctionTypeImpl`
Implementation of `FunctionType`.
`class`
`SubjectAttributeDesignatorTypeImpl`
Implementation of `SubjectAttributeDesignatorType`.
`class`
`VariableReferenceTypeImpl`
Implementation of `VariableReferenceType`.
Fields in org.opensaml.xacml.policy.impl declared as ExpressionType
Modifier and Type
Field
Description
`private ExpressionType`
ConditionTypeImpl.`expression`
List of expressions.
`private ExpressionType`
VariableDefinitionTypeImpl.`expression`
Expression.
Fields in org.opensaml.xacml.policy.impl with type parameters of type ExpressionType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<ExpressionType>`
ApplyTypeImpl.`expressions`
List of expressions.
`private XMLObjectChildrenList<ExpressionType>`
VariableReferenceTypeImpl.`expressions`
List or expressions.
Methods in org.opensaml.xacml.policy.impl that return ExpressionType
Modifier and Type
Method
Description
`ExpressionType`
ConditionTypeImpl.`getExpression()`
Gets the expression for this condition.
`ExpressionType`
VariableDefinitionTypeImpl.`getExpression()`
Gets the expression for this definition.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type ExpressionType
Modifier and Type
Method
Description
`List<ExpressionType>`
ApplyTypeImpl.`getExpressions()`
Gets the expressions for this condition.
`List<ExpressionType>`
VariableReferenceTypeImpl.`getExpressions()`
Gets the expressions for this definition.
Methods in org.opensaml.xacml.policy.impl with parameters of type ExpressionType
Modifier and Type
Method
Description
`void`
ConditionTypeImpl.`setExpression(ExpressionType exp)`
Sets the expression for this condition.
`void`
VariableDefinitionTypeImpl.`setExpression(ExpressionType newExpression)`
Sets the expression for this definition.